Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), DeferredDeletion(False), NavigationItem(False), CreatableItem(False)> _
Public Class HRPerson_OutlookFolder
    Inherits BaseObject

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Size(255)> Property FolderPath As String
    <Size(255)> Property EntryID As String
    Property HRPerson As HRPerson
End Class
